﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace SUBD.ComponentDatabase
{
    public class ComponentsDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder OptionsBuilder)
        {
            if (OptionsBuilder.IsConfigured == false)
            {
                OptionsBuilder.UseNpgsql(@"Host=localhost;Database=Components;Username=postgres;Password=postgres");
            }

            base.OnConfiguring(OptionsBuilder);

            AppContext.SetSwitch("Npgsql.EnableLegacyTimestampBehavior", true);
            AppContext.SetSwitch("Npgsql.DisableDateTimeInfinityConversions", true);
        }

        public virtual DbSet<Component> Components { set; get; }
    }
}
